Create Scraper Template
curl --request POST \
--url https://api.brightdata.com/dca/collector \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Test",
"deliver": {
"type": "azure",
"filename": {
"template": "<string>"
},
"container": "<string>",
"credentials": {
"account": "<string>",
"key": "aSDinaTvuI8gbWludGxpZnk=",
"sas_token": "<string>"
},
"directory": "<string>"
}
}
'import requests
url = "https://api.brightdata.com/dca/collector"
payload = {
"name": "Test",
"deliver": {
"type": "azure",
"filename": { "template": "<string>" },
"container": "<string>",
"credentials": {
"account": "<string>",
"key": "aSDinaTvuI8gbWludGxpZnk=",
"sas_token": "<string>"
},
"directory": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Test',
deliver: {
type: 'azure',
filename: {template: '<string>'},
container: '<string>',
credentials: {account: '<string>', key: 'aSDinaTvuI8gbWludGxpZnk=', sas_token: '<string>'},
directory: '<string>'
}
})
};
fetch('https://api.brightdata.com/dca/collector', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "test collector",
"deliver": {
"type": "webhook",
"endpoint": "https://webhook.site11111",
"flatten_csv": false,
"delivery_type": "deliver_results"
},
"active": false,
"created": "2026-04-12T06:25:47.708Z",
"user": "test@example.com",
"customer": "customer",
"customer_id": "ID",
"output_format_ver": 1,
"require_all_success": false,
"default_queue_behavior": "parallel",
"strict_input_normalize": true,
"request_cmd_behavior": "send_ajax_request",
"strict_url_validate": true,
"no_strange_input_normalize": true,
"allow_wait_ms": false,
"id": "c_mnvdqy7w1fyaku0uep",
"zone": "v__dca_test_collector_15",
"notifications": {
"success_rate": {
"addresses": "test@example.com",
"frequency": 1
}
},
"history": [
{
"date": "2026-04-12T06:25:47.715Z",
"user": "user",
"comment": "Collector was created"
}
],
"output_fields": [],
"fields": {},
"template": {
"stub": true
},
"has_output_fields_mapping": false,
"account_id": "ID",
"is_under_dataset_migration": false,
"under_sla": false,
"output_schema_incompatible": false,
"beta_output_schema_incompatible": false,
"is_scheduled": false
}AI Flow
Create scraper template
Use the Bright Data Scraper Studio AI Flow API to create a scraper template. POST /dca/collector returns 200 OK with AI scraper template or job status as JSON.
POST
/
dca
/
collector
Create Scraper Template
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
Response
200 - application/json
Scraper created successfully
Was this page helpful?
⌘I